summaryrefslogtreecommitdiff
path: root/sys-fs
diff options
context:
space:
mode:
authorGerhard Bräunlich <wippbox@gmx.net>2017-02-12 10:29:49 +0100
committerAnthony G. Basile <blueness@gentoo.org>2017-02-12 10:30:55 -0500
commit598fbceb67d97127671ea0739280ce34da2199e3 (patch)
treec5d3552576538ecf65cc457c5da39cf1fa545cfa /sys-fs
parentmedia-libs/hamlib: amd64 stable wrt bug #609106 (diff)
downloadgentoo-598fbceb67d97127671ea0739280ce34da2199e3.tar.gz
gentoo-598fbceb67d97127671ea0739280ce34da2199e3.tar.bz2
gentoo-598fbceb67d97127671ea0739280ce34da2199e3.zip
sys-fs/f2fs-tools: DEPS -> RDEPS
Package-Manager: portage-2.3.3
Diffstat (limited to 'sys-fs')
-rw-r--r--sys-fs/f2fs-tools/f2fs-tools-1.7.0-r1.ebuild31
1 files changed, 31 insertions, 0 deletions
diff --git a/sys-fs/f2fs-tools/f2fs-tools-1.7.0-r1.ebuild b/sys-fs/f2fs-tools/f2fs-tools-1.7.0-r1.ebuild
new file mode 100644
index 00000000000..b10701c9fed
--- /dev/null
+++ b/sys-fs/f2fs-tools/f2fs-tools-1.7.0-r1.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+DESCRIPTION="Tools for Flash-Friendly File System (F2FS)"
+HOMEPAGE="https://git.kernel.org/cgit/linux/kernel/git/jaegeuk/f2fs-tools.git/about/"
+SRC_URI="https://dev.gentoo.org/~blueness/f2fs-tools/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0/1"
+KEYWORDS="~amd64 ~arm ~mips ~x86"
+IUSE=""
+
+RDEPEND="
+ sys-apps/util-linux
+ sys-libs/libselinux"
+DEPEND="$RDEPEND"
+
+src_configure() {
+ #This is required to install to /sbin, bug #481110
+ econf \
+ --bindir="${EPREFIX}"/sbin
+ --disable-static
+}
+
+src_install() {
+ default
+ find "${D}" -name "*.la" -delete || die
+}